Bug 218955 - Drirectory change notification work only for 1 min
Drirectory change notification work only for 1 min
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: samba (Show other bugs)
4.4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Simo Sorce
David Lawrence
: OtherQA
Depends On: 218949
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-08 12:59 EST by Chris Williams
Modified: 2010-10-22 03:20 EDT (History)
4 users (show)

See Also:
Fixed In Version: RHEA-2007-0698
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 11:14:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Excel temporary garbage - after saving Excel.xls it stopped refresh explorer window. (224.36 KB, image/png)
2007-10-17 20:07 EDT, Josef Kubin
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Samba Project 2115 None None None Never

  None (edit)
Description Chris Williams 2006-12-08 12:59:08 EST
+++ This bug was initially created as a clone of Bug #218949 +++

Description of problem:
When a folder on a Samba server is opened in Windows Explorer, it subscribes to 
receive notifications if something changes in that folder. But this 
notification is working only for 1 min or so. After that, to see changes 
in the folder one needs to refresh folder manualy. On samba 2.2.x the same thing 
worked without any problems.


Version-Release number of selected component (if applicable):

From RHEL 4 U4.
#rpm -qa | grep samba
samba-common-3.0.10-1.4E.9
system-config-samba-1.2.21-1
samba-3.0.10-1.4E.9
samba-swat-3.0.10-1.4E.9
samba-client-3.0.10-1.4E.9


How reproducible:
Everytime

Steps to Reproduce:
1. Open Windows Explorer on a Samaba share
2. update folder contents after a minute or so
3. 
  
Actual results:
Folder contents not updated

Expected results:
Folder contents updated.

Additional info:
https://bugzilla.samba.org/show_bug.cgi?id=2115
Comment 1 Andrew Bartlett 2007-01-01 04:25:03 EST
I've mentioned this to Volker, who is working to fix Samba3's change notify system.
Comment 3 RHEL Product and Program Management 2007-05-09 04:34:28 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 John Poelstra 2007-08-29 12:09:51 EDT
A fix for this issue should have been included in the packages contained in the
RHEL4.6 Beta released on RHN (also available at partners.redhat.com).  

Requested action: Please verify that your issue is fixed to ensure that it is
included in this update release.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to FAILS_QA.

If you cannot access bugzilla, please reply with a message to Issue Tracker and
I will change the status for you.  If you need assistance accessing
ftp://partners.redhat.com, please contact your Partner Manager.
Comment 8 John Poelstra 2007-09-05 18:25:32 EDT
A fix for this issue should have been included in the packages contained in 
the RHEL4.6-Snapshot1 on partners.redhat.com.  

Requested action: Please verify that your issue is fixed to ensure that it is 
included in this update release.

After you (Red Hat Partner) have verified that this issue has been addressed, 
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent 
symptoms of the problem you are having and change the status of the bug to 
FAILS_QA.

If you cannot access bugzilla, please reply with a message about your test 
results to Issue Tracker.  If you need assistance accessing 
ftp://partners.redhat.com, please contact your Partner Manager.
Comment 9 John Poelstra 2007-09-11 20:40:32 EDT
A fix for this issue should be included in RHEL4.6-Snapshot2--available soon on
partners.redhat.com.  

Please verify that your issue is fixed to ensure that it is included in this
update release.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to FAILS_QA.

If you cannot access bugzilla, please reply with a message about your test
results to Issue Tracker.  If you need assistance accessing
ftp://partners.redhat.com, please contact your Partner Manager.
Comment 10 John Poelstra 2007-09-20 00:29:32 EDT
A fix for this issue should have been included in the packages contained in the
RHEL4.6-Snapshot3 on partners.redhat.com.  

Please verify that your issue is fixed to ensure that it is included in this
update release.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to FAILS_QA.

If you cannot access bugzilla, please reply with a message about your test
results to Issue Tracker.  If you need assistance accessing
ftp://partners.redhat.com, please contact your Partner Manager.
Comment 11 John Poelstra 2007-09-26 19:35:09 EDT
A fix for this issue should be included in the packages contained in
RHEL4.6-Snapshot4--available now on partners.redhat.com.  

Please verify that your issue is fixed ASAP to ensure that it is included in
this update release.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to FAILS_QA.

If you cannot access bugzilla, please reply with a message about your test
results to Issue Tracker.  If you need assistance accessing
ftp://partners.redhat.com, please contact your Partner Manager.
Comment 12 John Poelstra 2007-10-04 22:57:07 EDT
A fix for this issue should be included in the packages contained in
RHEL4.6-Snapshot5--available now on partners.redhat.com.  

Please verify that your issue is fixed ASAP to ensure that it is included in
this update release.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to FAILS_QA.

If you cannot access bugzilla, please reply with a message about your test
results to Issue Tracker.  If you need assistance accessing
ftp://partners.redhat.com, please contact your Partner Manager.
Comment 13 John Poelstra 2007-10-10 23:08:29 EDT
A fix for this issue should be included in the packages contained in
RHEL4.6-Snapshot6--available now on partners.redhat.com.  

Please verify that your issue is fixed ASAP to ensure that it is included in
this update release.

After you (Red Hat Partner) have verified that this issue has been addressed,
please perform the following:
1) Change the *status* of this bug to VERIFIED.
2) Add *keyword* of PartnerVerified (leaving the existing keywords unmodified)

If this issue is not fixed, please add a comment describing the most recent
symptoms of the problem you are having and change the status of the bug to FAILS_QA.

If you cannot access bugzilla, please reply with a message about your test
results to Issue Tracker.  If you need assistance accessing
ftp://partners.redhat.com, please contact your Partner Manager.
Comment 16 Josef Kubin 2007-10-17 20:07:53 EDT
Created attachment 230471 [details]
Excel temporary garbage - after saving Excel.xls it stopped refresh explorer window.

I have observed one strange minor thing:
In shared folder sometimes remains forgotten temporary file:
Excel.xls~RF92192f.TMP
It looks as problem of the Excel - Samba share was in a Boston box - faraway
from me and the connection looked lazy from Windoze box.

The most serious thing is, that Excel dead-wait-time breaks the fix for bug
"218955 - Directory change notification work only for 1 min".
After saving the Excel.xls file it stopped autorefresh inside of explorer ...
Observed randomly (cca 70% probability for break) on all tested architectures. 


(after saving Excel.xls file)
the new file in share doesn't appear automatically inside of explorer

# touch /test/11.txt

# rpm -q samba
samba-3.0.25b-0.4E.6.ia64

# rpm -q gamin
gamin-0.1.7-1.4.EL4.ia64
gamin-0.1.7-1.4.EL4.i386

# tail /etc/samba/smb.conf

[test]
      comment = test share
      path = /test
      vfs object = notify_fam
      public = yes
      writable = yes
      printable = no
Comment 17 Josef Kubin 2007-10-17 20:13:20 EDT
The image doesn't reflect example of the touch command, I wanted to write:
# touch /test/17.txt
Comment 19 errata-xmlrpc 2007-11-15 11:14:46 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2007-0698.html

Note You need to log in before you can comment on or make changes to this bug.